# Uses of Class
org.eclipse.jface.text.templates.TemplateBuffer

Packages that use TemplateBuffer
Package
Description
org.eclipse.jface.text.templates
Application programming interfaces for interaction with the Eclipse text template support.

## Uses of TemplateBuffer in org.eclipse.jface.text.templates

Methods in org.eclipse.jface.text.templates that return TemplateBuffer
Modifier and Type
Method
Description
`TemplateBuffer`
DocumentTemplateContext.`evaluate(Template template)`
`abstract TemplateBuffer`
TemplateContext.`evaluate(Template template)`
Evaluates the template in this context and returns a template buffer.
`TemplateBuffer`
TemplateTranslator.`translate(String string)`
Translates a template string to `TemplateBuffer`.
`TemplateBuffer`
TemplateTranslator.`translate(Template template)`
Translates a template to a `TemplateBuffer`.
Methods in org.eclipse.jface.text.templates with parameters of type TemplateBuffer
Modifier and Type
Method
Description
`void`
TemplateContextType.`resolve(TemplateBuffer buffer, TemplateContext context)`
Resolves the variables in `buffer` within `context` and edits the template buffer to reflect the resolved variables.